:root {
  --primary-color: #3C7954;
  --secondary-color: #203567;
  --white-color: #fff;
  --gray-color: #969696;
  --light-green-color: #88C284;

  --font-weight-x-light: 300;
  --font-weight-light: 400;
  --font-weight-regular: 500;
  --font-weight-medium: 600;

  --font-size-small: 0.9rem;
  --font-size-regular: 1rem;
  --font-size-medium: 1.3rem;
  --font-size-x-medium: 2rem;
  --font-size-xx-medium: 3.2rem;
  --font-size-large: 4rem;
  --font-size-x-large: 6rem;

  --padding-small: 0.8rem;
  --padding-medium: 1rem;
  --padding-large: 2rem;
}

@keyframes shake {
  0% {
    transform: translateX(0);
  }

  25% {
    transform: translateX(-5px);
  }

  50% {
    transform: translateX(5px);
  }

  75% {
    transform: translateX(-5px);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes shakeVertical {

  0%,
  100% {
    transform: translateY(0);
  }

  25% {
    transform: translateY(-5px);
  }

  50% {
    transform: translateY(5px);
  }

  75% {
    transform: translateY(-5px);
  }
}

@keyframes expandLine {
  from {
    width: 0;
  }

  to {
    width: 90%;
  }
}

@keyframes expand {
  from {
    width: 0;
  }

  to {
    width: 2rem;
  }
}

@keyframes slideInFromLeft {
  from {
    transform: translateX(-100%);
  }

  to {
    transform: translateX(0);
  }
}

@keyframes bounce {

  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }
}

@keyframes scaleUp {
  from {
    transform: scale(0.8);
  }

  to {
    transform: scale(1);
  }
}

* {
  font-family: 'Montserrat', 'Noto Kufi Arabic', sans-serif;
  box-sizing: border-box;
  margin: 0 auto;
}

html {
  scroll-behavior: smooth;
  font-size: 16px;
  overflow-x: clip !important;
}

.h-pot{
    width: 0;
    height: 0;
    position: absolute;
    left: -99999999rem;
}

.get-a-quote,
.accept-btn,
.product-get-a-quote,
.acceptNecessary-btn,
.decline-btn,
.get-a-quote-btn button {
  background: linear-gradient(to right, #00654C, #65AF72);
  width: fit-content;
  height: 2.25rem;
  border-radius: 3rem;
  padding: 0.5rem 1rem;
  margin-left: 0;
  margin-right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 12;
  cursor: pointer;
}

.get-a-quote-btn button {
  border: none;
  color: var(--white-color);
  text-transform: uppercase;
  padding: 1.5rem 2.5rem;
  margin-top: 2rem;
}

.accept-btn {
  border: none;
  color: var(--white-color);
  text-transform: uppercase;
  padding: 1.5rem 2.5rem;
  margin-top: 2rem;
}

.get-a-quote-btn button:hover,
.accept-btn:hover {
  background: linear-gradient(to right, #65AF72, #00654C);
}

.get-a-quote-btn button:active,
.accept-btn:active {
  background: var(--secondary-color);
}

.product-get-a-quote,
.acceptNecessary-btn,
.decline-btn {
  background: transparent;
  border: 1px solid var(--gray-color);
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
}

.get-a-quote-div {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1rem;
}

.get-a-quote-div .line {
  margin-left: 0;
  margin-right: 0;
  width: 2rem;
  height: 1px;
  background-color: var(--primary-color);
  /* animation: expand 1.2s ease-in-out infinite; */
}

.get-a-quote a,
.product-get-a-quote a {
  color: #fff;
  text-decoration: none;
  border: none;
  background: transparent;
  font-size: 1.1rem;
  font-weight: var(--font-weight-regular);
}

.acceptNecessary-btn,
.decline-btn {
  color: #fff;
  text-decoration: none;
  background: transparent;
  font-size: 1.1rem;
  font-weight: var(--font-weight-regular);
}

.product-get-a-quote a,
.acceptNecessary-btn,
.decline-btn {
  color: var(--primary-color);
}

.get-a-quote:hover {
  background: linear-gradient(to right, #65AF72, #00654C);
  /* transform: scale(1.1);
  box-shadow: 0px 0px 10px rgba(255, 255, 255, 0.5);
  transition: all 0.3s ease; */
}

.product-get-a-quote:hover,
.acceptNecessary-btn:hover,
.decline-btn:hover {
  border: 1px solid transparent;
  background: linear-gradient(to right, #00654C, #65AF72);
}

.product-get-a-quote:hover a,
.acceptNecessary-btn:hover,
.decline-btn:hover {
  color: #fff;
}

.get-a-quote:active {
  background: var(--secondary-color);
}

.product-get-a-quote:active,
.acceptNecessary-btn:active,
.decline-btn:active {
  border: none;
  background: var(--secondary-color);
}

.product-get-a-quote:active a,
.acceptNecessary-btn:active,
.decline-btn:active {
  color: #fff;
}

.footer .connect-us .connect-us-link:hover .connect-icon {
  animation: shake 0.5s;
  animation-iteration-count: infinite;
}

@media screen and (min-width: 768px) {

  .get-a-quote a,
  .product-get-a-quote a,
  .accept-btn,
  .acceptNecessary-btn,
  .decline-btn {
    font-size: 1.1rem;
  }

  .get-a-quote,
  .product-get-a-quote,
  .accept-btn,
  .acceptNecessary-btn,
  .decline-btn {
    padding: 1rem 1.5rem;
  }
}

@media screen and (min-width: 991px) {

  .get-a-quote a,
  .product-get-a-quote a,
  .accept-btn,
  .acceptNecessary-btn,
  .decline-btn {
    font-size: 1.1rem;
  }

  .get-a-quote,
  .product-get-a-quote,
  .accept-btn,
  .acceptNecessary-btn,
  .decline-btn {
    padding: 1.5rem 2rem;
  }
}

/* cookies disclaimer */
.cookie-btns * {
  margin: 0;
}

.cookie-btns {
  display: flex;
  flex-wrap: wrap;
  row-gap: 1rem;
  column-gap: 1rem;
  margin: 2.5rem 0;
}

.wrapper-cookie {
  position: fixed;
  background-color: white;
  bottom: -100%;
  width: 100%;
  border-top: 1px solid #203567;
  padding-top: 2.5rem;
  opacity: 0;
  z-index: 99999;
  transition: all 1.5s ease-in-out;
}

.wrapper-cookie.animate {
  bottom: 0;
  opacity: 1;
}

.disabled-btn {
  background: var(--gray-color) !important;
  cursor: not-allowed !important;
}